
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: python: backport ARM libffi closure support

This patch backports ARM libffi closure support to python 2.5's
version of libffi, to enable building the ctype module.

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/python.spec
===================================================================
--- SPECS.orig/python.spec
+++ SPECS/python.spec
@@ -20,7 +20,7 @@
 Summary: An interpreted, interactive, object-oriented programming language.
 Name: %{python}
 Version: 2.5.1
-Release: 26%{?dist}
+Release: 26%{?dist}.fa1
 License: Python Software Foundation License v2 
 Group: Development/Languages
 Provides: python-abi = %{pybasever}
@@ -43,6 +43,7 @@ Patch12: python-2.5.1-pysqlite.patch
 Patch13: python-2.5.1-socketmodule-constants.patch
 Patch14: python-2.5.1-socketmodule-constants2.patch
 Patch15: python-2.5.1-listdir.patch
+Patch16: python-2.5.1-libffi-arm-closures.patch
 
 # upstreamed
 
@@ -210,6 +211,7 @@ code that uses more than just unittest a
 %patch13 -p1 -b .socketmodule
 %patch14 -p1 -b .socketmodule
 %patch15 -p1 -b .listdir
+%patch16 -p1 -b .libffi-arm-closures
 
 %ifarch alpha ia64
 # 64bit, but not lib64 arches need this too...
